@use "styles/helpers";

.partner {
  margin-top: 54px;
  margin-bottom: 300px;

  &__videoInner {
    width: 470px;
    height: 357px;
    margin-top: 9px;

    iframe {
      border-radius: 25px;
    }
  }

  &__desc {
    margin-left: 30px;

    h1 {
      margin: 0;
    }
  }

  &__descInner {
    margin-top: 14px;
    text-align: justify;

    p:not(:first-child) {
      margin-top: 11px;
    }
  }

  &__formWrapp {
    margin-top: 52px;
    justify-content: space-between;

    & > div {
      max-width: 570px;
    }
  }

  h3 {
    font-weight: 500;
    font-size: 30px;
    line-height: 34px;
  }

  input {
    padding: 25px;
    font-size: 16px;
    line-height: 23px;
    border: 1px solid #bdbdbd;
    border-radius: 10px;
    color: #777777;

    &::placeholder {
      color: #777777;
    }
  }

  &__label {
    display: inline-block;
    margin-top: 30px;
    margin-bottom: 12px;
    font-weight: 500;
    font-size: 16px;
    line-height: 25px;
    color: #222222;
    cursor: pointer;
  }

  &__requiredField {
    &::before {
      content: "*";
      color: #ff0000;
      margin-right: 4px;
      margin-left: -2px;
    }
  }

  &__filialForm {
    margin-top: 110px;

    .partner__label {
      margin-top: 15px;
    }
  }

  // info btn
  &__infoLabel {
    display: flex;
  }

  &__include_icon {
    position: relative;
    width: 60px;
    height: 40px;
    cursor: pointer;

    &:hover > {
      .tooltip {
        display: block;
      }
    }
  }

  &__info_icon {
    position: relative;
    cursor: pointer;

    &::after {
      display: inline-block;
      content: "i";
      width: 23px;
      height: 23px;
      background: #c4c4c4;
      border-radius: 50%;
      text-align: center;
      font-size: 20px;
      font-weight: 500;
      line-height: 24px;
      position: absolute;
      top: 8px;
      left: 5px;
    }
  }

  .tooltip {
    display: none;
    position: absolute;
    left: calc(100% + 13px);
    transform: translateY(calc(-50% + 100px));
    background-color: #fff;
    border: 1px solid #000;
    width: 290px;
    padding: 25px 30px 20px;
    z-index: 2;

    &::before {
      background: #fff;
      border: 0.05em solid;
      content: "";
      height: 45px;
      width: 45px;
      position: absolute;
      transform: translate(0, 50%) rotate(-225deg);
      left: -23px;
      top: -14px;
      border-color: transparent #000 #000 transparent;
    }

    &__desc {
      font-weight: 500;
      font-size: 16px;
      line-height: 25px;
    }
  }

  // info btn (for h3)
  &__infoHeader {
    display: flex;

    .partner__include_icon {
      width: 70px;
    }

    .partner__info_icon {
      &::after {
        width: 35px;
        height: 35px;
        font-size: 30px;
        line-height: 36px;
        top: -8px;
        left: 8px;
      }
    }

    .tooltip {
      left: calc(100% + 17px);
      transform: translateY(calc(-50% + 85px));
    }
  }

  // for React <Select/>
  &__select {
    color: #777777;
    font-size: 16px;
    font-weight: 400;
    line-height: 25px;
    border-radius: 10px;

    & > div {
      border-radius: 10px;
      border-color: #bdbdbd;

      span {
        display: none;
      }

      & > div {
        &::-webkit-scrollbar {
          width: 9px;
        }

        &::-webkit-scrollbar-track {
          background: #f0f0f0;
          border-radius: 5px;
        }

        &::-webkit-scrollbar-thumb {
          background: #777777;
          border-radius: 5px;
        }

        &::-webkit-scrollbar-thumb:hover {
          background: #9b9b9b;
        }

        & > div {
          color: #777777;
          cursor: pointer;
        }
      }

      & > div:not(:last-child) {
        padding: 0 0 0 18px;
      }

      & > div:nth-child(2) {
        padding-right: 6px;

        & > div:last-child {
          color: #777777;
        }

        & > div:first-child {
          position: absolute;
          top: calc(50% - 13px);
          right: 11px;
          padding: 2px;
          border: 1px solid #bdbdbd;
          border-radius: 50%;
          background: #fff;
          transition: transform ease-in-out 0.3s, rotate linear 0.3s;
        }
        & > div:first-child:hover {
          transform: scale(1.1) rotate(180deg);
        }
      }
    }
  }

  &__discount {
    display: flex;
    align-items: center;

    // for React <Select/>
    .partner__select {
      & > div {
        width: 105px;
      }
    }
  }

  &__discountDesc {
    margin-left: 25px;

    span {
      font-weight: 700;
    }

    :first-child span {
      color: #ff0000;
    }

    :last-child span {
      color: #6fcf97;
    }
  }

  &__discountDesc_yellow {
    margin-left: 25px;

    span {
      font-weight: 700;
    }

    :first-child span {
      color: #ffb500;
    }

    /*:last-child span {
      color: #6fcf97;
    }*/
  }

  &__discountDesc_green {
    margin-left: 25px;

    span {
      font-weight: 700;
    }

    :first-child span {
      color: #83ea00;
    }

    /*:last-child span {
      color: #6fcf97;
    }*/
  }

  &__ticketsDate {
    display: flex;
    justify-content: space-between;

    & > :first-child {
      margin-right: 20px;
    }
  }

  // Сalendar
  &__dateWrapper {
    & > :first-child {
      & > div {
        & > input:focus {
          color: #000;
        }
      }
    }
    & > :last-child {
      & > :nth-child(2) {
        margin-top: 0;
        margin-bottom: 0;

        & > div {
          & > div {
            padding: 30px 60px;
            border: 1px solid #bdbdbd;
            background: #fff;

            & > div:first-child {
              display: none;
            }

            & > div:last-child {
              width: 450px;

              & > div:first-child {
                background-color: transparent;
                padding-top: 0;
                border-bottom: none;
                text-transform: capitalize;

                & > :first-child {
                  padding-bottom: 15px;
                }

                & > :last-child {
                  justify-content: space-between;
                }

                & > div {
                  display: flex;
                  font-size: 18px;
                  font-weight: 600;
                  line-height: 25px;

                  & > select {
                    border: none;
                    font-size: 18px;
                    font-weight: 600;
                    line-height: 25px;
                  }

                  & > select:first-child {
                    margin-right: 45px;
                    text-transform: capitalize;
                  }

                  & > div {
                    display: flex;
                    justify-content: space-between;
                  }
                }
              }

              & > div:last-child {
                margin: 0;

                & > div {
                  display: flex;
                  justify-content: space-between;

                  & > div {
                    margin-top: 16px;
                    line-height: 25px;
                    font-size: 16px;
                    color: #222222;
                  }
                }
              }
            }
          }
        }
      }
    }
  }

  &__checkbox {
    display: flex;
    align-items: center;
    margin: 14px 0 18px 5px;

    .partner__requiredField {
      &::before {
        font-size: 16px;
        font-weight: 500;
      }
    }
  }

  &__checkboxInput {
    width: 28px;
    height: 28px;
    border: 1px solid #bdbdbd;
    margin-right: 16px;
    cursor: pointer;
  }

  &__checkboxSpan {
    cursor: pointer;

    & > div {
      display: inline-block;
    }

    a {
      border-bottom: 1px solid rgb(0, 0, 0, 0.5);
      position: relative;
      display: inline-block;
      background: linear-gradient(to right, #119ad0 50%, #222222 50%);
      background-clip: text;
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      background-size: 200% 100%;
      background-position: 100%;
      transition: background-position 0.3s ease, border-bottom 0.3s linear;

      &:hover {
        background-position: 0 100%;
        border-bottom: transparent;
      }

      &::after {
        position: absolute;
        display: block;
        content: "";
        bottom: -2px;
        left: 0;
        width: 0;
        border-bottom: 1px solid #119ad0;
        transition: width 0.3s ease-in-out;
      }

      &:hover::after,
      &:focus::after {
        width: 100%;
      }
    }
  }

  &__submitBtn {
    background: #119ad0;
    border: 1px solid #bdbdbd;
    border-radius: 10px;
    font-weight: 600;
    font-size: 16px;
    line-height: 25px;
    color: #fff;
    padding: 25px;
    transition: all 0.3s ease;

    &:hover {
      color: #000;
      letter-spacing: 2px;
      background-color: #4fb3ec;
      box-shadow: 0 5px 40px -10px rgba(0, 0, 0, 0.6);
    }
  }

  &__ticket {
    margin-top: auto;
    margin-bottom: 195px;
    margin-left: 25px;

    h3 {
      font-size: 27px;
      line-height: 38px;
    }
  }

  &__ticketPreview {
    width: 570px;
    min-height: 283px;
    cursor: pointer;
    background: url("/img/pages/home/ticket_win.jpg") no-repeat center
      center/cover;
    text-align: center;
    font-weight: 700;
    color: #fff;
    padding: 30px 15px 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    &_title {
      color: #ffc86e;
      font-size: 32px;
      line-height: 36px;
    }

    &_discount {
      font-size: 16px;
      line-height: 20px;
      text-transform: uppercase;
    }

    &_result {
      font-size: 60px;
      line-height: 68px;
      font-weight: 700;
      color: #ffc86e;
    }

    &_name {
      font-size: 15px;
      line-height: 18px;
      font-weight: 600;
    }

    &_infoWrap {
      display: flex;
      justify-content: space-between;
      align-items: flex-end;
    }

    &_contacts {
      text-align: start;
    }

    &_contactText {
      max-width: 200px;
      font-size: 14px;
    }

    &_contact {
      font-size: 16px;
      color: #ffc86e;
    }
  }

  &__ticketMobile {
    display: none;
  }

  // Popup-video for PublicOffer
  &__publicOfferModal {
    flex-wrap: wrap;
    overflow-y: auto;
    padding: 0 26px 20px 0;
    margin-bottom: 20px;
    border-radius: 9px;

    &::-webkit-scrollbar {
      width: 9px;
    }

    &::-webkit-scrollbar-thumb {
      background: #777777;
      border-radius: 5px;
    }

    &::-webkit-scrollbar-track {
      border-radius: 5px;
    }

    &::-webkit-scrollbar-track {
      background: #f0f0f0;
    }
  }

  &__closeModal {
    position: absolute;
    width: 30px;
    height: 30px;
    top: 15px;
    right: 25px;
    cursor: pointer;
    transition: transform 0.3s linear;

    &:hover {
      transform: scale(1.2) rotate(360deg);
    }

    &::before,
    &::after {
      content: "";
      display: block;
      width: 28px;
      height: 0.125rem;
      background: rgb(0, 0, 0);
      position: absolute;
      left: 0;
      right: 0;
      top: 50%;
      margin: 0 auto;
    }

    &::after {
      transform: rotate(-45deg);
    }

    &::before {
      transform: rotate(45deg);
    }
  }

  &__publicOffer_header {
    & > h2 {
      text-align: center;
      margin-top: 30px;
      margin-bottom: 45px;
    }
  }

  &__publicOffer_headerDate {
    display: flex;
    justify-content: space-between;
    font-size: 16px;
    margin-bottom: 30px;
  }

  &__publicOffer_main {
    margin-top: 45px;
  }

  &__publicOffer_item {
    margin-top: 35px;

    & > h2 {
      margin-bottom: 20px;
    }

    & > p {
      margin-bottom: 10px;
    }
  }

  &__publicOffer_footer {
    margin-top: 80px;
    margin-bottom: 10px;

    & > h3 {
      font-size: 15px;
      text-align: center;
    }
  }

  &__dataPartner {
    display: flex;
    margin-bottom: 65px;

    & > div {
      width: 50%;
      line-height: 24px;
      font-size: 16px;
    }
  }
}

@media screen and (max-width: 1200px) {
  .partner {
    &__desc {
      h1 {
        font-size: 50px;
        line-height: 60px;
      }
    }

    &__ticket {
      h3 {
        font-size: 25px;
        line-height: 38px;
      }
    }

    &__ticketPreview {
      width: 540px;
    }
  }
}

@media screen and (max-width: 1180px) {
  .partner {
    &__desc {
      h1 {
        font-size: 44px;
        line-height: 50px;
      }
    }
  }
}

@media screen and (max-width: 1080px) {
  .partner {
    & > div:first-child {
      flex-wrap: wrap-reverse;
    }

    &__desc {
      margin-left: 0;
      margin-bottom: 30px;

      h1 {
        font-size: 42px;
        line-height: 48px;
      }
    }

    // Сalendar
    &__dateWrapper {
      & > :last-child {
        & > :nth-child(2) {
          & > div {
            & > div {
              padding: 30px;

              & > div:last-child {
                width: 330px;
              }
            }
          }
        }
      }
    }

    &__ticket {
      display: none;
    }

    &__ticketMobile {
      display: block;
      margin: 30px 0 50px;

      h3 {
        font-size: 25px;
        line-height: 35px;
        margin-bottom: 5px;
      }
    }

    &__ticketPreview {
      width: 100%;
    }
  }
}

@media screen and (max-width: 800px) {
  .partner {
    :nth-last-child(4) {
      .tooltip {
        transform: translateY(calc(-25% + 100px));
        left: calc(-100% - 205px);

        &::before {
          transform: translate(0, 50%) rotate(-135deg);
          left: 235px;
          top: -45px;
        }
      }
    }
  }
}

@media screen and (max-width: helpers.$widthTablet) {
  .partner {
    &__desc {
      h1 {
        font-size: 36px;
        line-height: 40px;
      }
    }

    &__infoHeader {
      .tooltip {
        left: calc(-370% + 17px);
        transform: translateY(calc(-30% + 110px));

        &::before {
          transform: translate(0, 50%) rotate(-135deg);
          left: 235px;
          top: -46px;
        }
      }
    }

    // Сalendar
    &__dateWrapper {
      & > :last-child {
        & > :nth-child(2) {
          & > div {
            & > div {
              padding: 20px;

              & > div:last-child {
                width: 230px;

                & > div:last-child {
                  & > div {
                    & > div {
                      margin-top: 10px;
                      line-height: 22px;
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

@media screen and (max-width: 600px) {
  .partner {
    :nth-last-child(12) {
      .tooltip {
        transform: translateY(calc(-25% + 100px));
        left: calc(55% - 205px);

        &::before {
          transform: translate(0, 50%) rotate(-135deg);
          left: 170px;
          top: -45px;
        }
      }
    }
  }
}

@media screen and (max-width: 580px) {
  .partner {
    &__video {
      max-width: 470px;
      width: 100%;

      & > div {
        width: auto;
      }
    }

    :nth-last-child(6) {
      .tooltip {
        transform: translateY(calc(-25% + 100px));
        left: calc(110% - 215px);

        &::before {
          transform: translate(0, 50%) rotate(-135deg);
          left: 150px;
          top: -45px;
        }
      }
    }

    &__desc {
      h1 {
        font-size: 28px;
        line-height: 32px;
      }
    }

    &__discountDesc {
      margin-left: 20px;

      span {
        font-weight: 600;
      }

      p {
        font-size: 15px;
        line-height: 20px;
      }
    }

    // Сalendar
    &__ticketsDate {
      & > :last-child {
        & > :last-child {
          & > :nth-child(2) {
            left: -150px !important;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 480px) {
  // Popup-video for PublicOffer
  .partner {
    &__publicOffer_header {
      & > h2 {
        margin-top: 50px;
      }
    }
  }
}

@media screen and (max-width: 430px) {
  // for React <Select/>
  .partner {
    &__select {
      & > div {
        & > div:not(:last-child) {
          max-width: 330px;
        }
      }
    }
  }
}

@media screen and (max-width: 400px) {
  // for React <Select/>
  .partner {
    &__infoHeader {
      .tooltip {
        left: calc(-370% - 17px);
        transform: translateY(calc(-30% + 110px));
      }
    }

    &__select {
      & > div {
        & > div:not(:last-child) {
          max-width: 280px;
        }
      }
    }
  }
}

@media screen and (max-width: helpers.$widthMobile) {
  .partner {
    &__ticketsDate {
      input {
        padding: 25px 15px;
      }
    }
  }
}
